{"openapi":"3.0.4","info":{"title":"Get metadata of a Docker Image","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/scheduler2"}],"paths":{"/api/images/{name}":{"get":{"tags":["Images"],"summary":"Get metadata of a Docker Image","operationId":"GetImage","parameters":[{"name":"name","in":"path","description":"The name and tag of a Docker image. Format \"ExampleImageName:latest\"","required":true,"schema":{"maxLength":256,"minLength":1,"pattern":"^[a-z\\d]+((([.]{1}|[_]{1,2}|[-])+)([a-z\\d]+))*:[a-z\\d]+((([.]{1}|[_]{1,2}|[-])+)([a-z\\d]+))*$","type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"/docs/api/scheduler/schemas.json#/components/schemas/Image"},"example":{"name":"ExampleName","pushTime":"2020-09-12T12:34:12.0000000+00:00","pullTime":"2020-09-12T12:45:15.0000000+00:00","digest":"sha256:b1365a9ada7eab7c6a42c90c112c7634ff7356a6b8a2148647dcbb56cdd982ff","size":56825012,"tags":[{"name":"latest","pullTime":"0001-01-01T00:00:00.0000000+00:00","pushTime":"0001-01-01T00:00:00.0000000+00:00","signed":false,"immutable":false},{"name":"0.61","pullTime":"0001-01-01T00:00:00.0000000+00:00","pushTime":"0001-01-01T00:00:00.0000000+00:00","signed":false,"immutable":false}],"scanReport":{"severity":"Critical","status":"Success","startTime":"2020-09-13T02:24:12.0000000+00:00","endTime":"2020-09-13T02:24:42.0000000+00:00","scanDuration":30,"summary":{"fixable":1,"total":1,"critical":0,"high":1,"medium":0,"low":0,"negligible":0,"unknown":0},"vulnerabilities":[{"name":"CVE-2012-113462","package":"libdin","version":"1.33-1","fixVersion":"1.33-2","severity":"High","description":"There is an overflow bug","links":["https://security-tracking-website.com"]}]}}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/scheduler/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/scheduler/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}